import mongoose, { InferSchemaType, Schema } from "mongoose";
import { ADMIN_MAX_USERS_PER_PAGE } from "../utils/utils";

export const sessionSchema = new Schema({
  sessionId: String,
  accountName: String,
  expiresAt: {
    type: Date,
    default: new Date(Date.now() + ADMIN_MAX_USERS_PER_PAGE),
  },
});

export type Session = InferSchemaType<typeof sessionSchema>;

export const Session = mongoose.model<Session>("Session", sessionSchema);
